For the complete documentation index, see llms.txt. This page is also available as Markdown.

Bank List

The "Bank List" endpoint allows customers to retrieve the full list of banks supported for transfers, along with each bank's identifier code.

GET /api/Transfer/v1/Banks

To retrieve the bank list, simply make a GET request to this endpoint, no request body is required.

Always pass the identifier returned here as the bank code when carrying out a transfer.

Test Bank Information

Field
Value

Identifier

TSTBNK

Destination Account

0000014575

Headers

Name
Value

Content-Type*

application/json

Authorization*

Bearer

Request-Reference

{unique_reference}

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

Sample Request
curl --location -g '{{baseurl}}/api/Transfer/v1/Banks' \
--header 'Authorization: bearer {token}' \
--header 'request-reference: {unique_reference}' \
--header 'Content-Type: application/json'
Response: 200
{
  "status": true,
  "message": "string",
  "data": [
    {
      "identifier": "string", //Always pass this as the bank code
      "logoUrl": "string",
      "name": "string"
    }
  ],
  "recordCount": 0
}

Last updated